.ruituo-carousel-section {
  --card-bg-color: #071B2D;
  --text-color: #fff;
  --font-title-size: 40px;
  --font-style: normal;
  --font-title-weight: 700;
  --line-height: 1.5;
  --bg-page: #032F56;
  --text-gray: #c6cbd5;
  --text-dark: #111;
  --banner-navigation-offset: 10px;
  --bullet-size: 16px;
}

.ruituo-carousel-section .swiper-pagination-bullet {
  width: var(--bullet-size);
  height: var(--bullet-size);
  background: rgba(255, 255, 255, 1);
  opacity: 1 !important;
  margin: 0 8px !important;
}

.ruituo-carousel-section .swiper-pagination-bullet-active {
  background-color: var(--color-primary) !important;
}

.ruituo-carousel-section .banner-bg {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: all 0.3s ease;
}
.ruituo-carousel-section .hPic{
  display: none;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.ruituo-carousel-section .swiper-slide:hover .banner-bg {
  /* transform: scale(1.05); */
}

.ruituo-carousel-section .banner-content,
.ruituo-carousel-section .mobile-banner-content {
  position: absolute;
  top: 50%;
  left: 0;
  right: 0;
  transform: translateY(-50%);
  text-align: left;
  z-index: 10;
  display: flex;
  align-items: center;
  color: var(--text-color);
  font-family: var(--font-family);
  font-style: normal;
}
.ruituo-carousel-section .mobile-banner-content{
  display: none;
}

.ruituo-carousel-section .banner-title {
  font-size: 76px;
  font-weight: var(--font-title-weight);
  line-height: 1.18;
}

.ruituo-carousel-section .banner-content p {
  font-size: 26px;
  padding-left: 4px;
}

.ruituo-carousel-section .banner-content .btn-box,
.ruituo-carousel-section .mobile-banner-content .btn-box {
  padding-left: 4px;
  display: flex;
  gap: 20px;
  /* margin-top: 50px; */
}

.ruituo-carousel-section .banner-content_btn1,
.ruituo-carousel-section .banner-content_btn2 {
  font-size: 22px;
  font-weight: 600;
  line-height: 1.36;
  padding: 16px 30px;
  border-radius: 8px;
  box-sizing: border-box;
  transition: all 0.3s ease;
}

.ruituo-carousel-section .banner-content .btn-box .banner-content_btn1,
.ruituo-carousel-section .mobile-banner-content .btn-box .banner-content_btn1 {
  background-color: var(--color-primary);
  color: var(--text-dark);
  border: 1px solid var(--color-primary);
  white-space: nowrap;
}

.ruituo-carousel-section .banner-content .btn-box .banner-content_btn1:hover,
.ruituo-carousel-section .mobile-banner-content .btn-box .banner-content_btn1:hover {
  background-color: transparent;
  color: var(--color-primary);
  border: 1px solid var(--color-primary);
  /* scale: 1.05; */

}

.ruituo-carousel-section .banner-content .btn-box .banner-content_btn2,
.ruituo-carousel-section .mobile-banner-content .btn-box .banner-content_btn2 {
  background-color: #004f96;
  color: var(--text-color);
  border: 1px solid #004f96;
  white-space: nowrap;
}

.ruituo-carousel-section .banner-content .btn-box .banner-content_btn2:hover,
.ruituo-carousel-section .mobile-banner-content .btn-box .banner-content_btn2:hover {
  background-color: transparent;
  border: 1px solid white;
  /* scale: 1.05; */
}

.ruituo-carousel-section .swiper-navigation {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  position: absolute;
  bottom: 60px;
}

.ruituo-carousel-section .swiper-pagination {
  position: relative !important;
  width: auto !important;
}

.ruituo-carousel-section .swiper-button-lock {
  display: inline-block !important;
}



@media screen and (max-width: 1500px) {
  .ruituo-carousel-section .swiper-navigation {
    bottom: 30px;
  }

}

@media screen and (max-width: 1200px) {
  .ruituo-carousel-section .banner-title {
    font-size: 70px;
  }

  .ruituo-carousel-section .banner-content p {
    font-size: 24px;
  }

  .ruituo-carousel-section .swiper-navigation {
    bottom: 10px;
  }

  .ruituo-carousel-section {
    --bullet-size: 14px;
  }
}

@media screen and (max-width: 992px) {
  .ruituo-carousel-section .banner-title {
    font-size: 64px;
  }

  .ruituo-carousel-section .banner-content p {
    font-size: 22px;
  }

  .ruituo-carousel-section .swiper-slide {
    /* height: 450px; */
    height: auto;
  }

  .ruituo-carousel-section .swiper-navigation {
    bottom: 0px;
  }

  .ruituo-carousel-section .banner-content_btn1,
  .ruituo-carousel-section .banner-content_btn2 {
    font-size: 20px;
    padding: 10px 30px;
  }

  .ruituo-carousel-section {
    --bullet-size: 12px;
  }

}

@media (max-width: 768px) {
  .ruituo-carousel-section .banner-title {
    font-size: 50px;
  }

  .ruituo-carousel-section .banner-content p {
    font-size: 20px;
  }

  .ruituo-carousel-section .banner-content_btn1,
  .ruituo-carousel-section .banner-content_btn2 {
    font-size: 18px;
    padding: 10px 20px;
  }

}

@media (max-width: 576px) {
  .ruituo-carousel-section .hPic,
  .ruituo-carousel-section .mobile-banner-content{
    display: block;
  }
  .ruituo-carousel-section .banner-bg,
  .ruituo-carousel-section .banner-content{
    display: none;
  }
  .ruituo-carousel-section .banner-title {
    font-size: 40px;
  }

  .ruituo-carousel-section .banner-content p {
    font-size: 18px;
  }

  .ruituo-carousel-section .swiper-slide {
    /* height: 450px; */
    height: auto;
    aspect-ratio: 3/2;
  }

  .ruituo-carousel-section .swiper-navigation {
    bottom: 0px;
  }

  .ruituo-carousel-section {
    --bullet-size: 10px;
  }

  .ruituo-carousel-section .banner-content_btn1,
  .ruituo-carousel-section .banner-content_btn2 {
    font-size: 12px;
    padding: 5px 10px;
    border-radius: 4px;
  }
  .ruituo-carousel-section .mobile-banner-content .btn-box{
    gap:10px;
    padding: 0;
  }
}